<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css">
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <div class="caixas">
      <!--
        em algumas situações, necessita-se trabalhar com estilo sem ter classe associada ao elemento.
        a estilização, nesses casos, é feita inline (direto no elemento)
      -->
      <div class="demo" :style="{backgroundColor: cor}"></div>
      <div class="demo" :style="[estiloCaixa2, {opacity: .5}]"></div>
      <div class="demo"></div>
    </div>
    <h1>Estilização CSS</h1>
    <h2>Caixas 1 e 2</h2>
    <h3>Cor</h3>
    <input type="text" v-model="cor">
    <h2>Caixa 2</h2>
    <h3>Largura</h3>
    <input type="text" v-model="largura">
    <h3>Altura</h3>
    <input type="text" v-model="altura">
  </div>
  <script src="app.js"></script>
</body>

</html>